import { AlertService } from './../../../../widgets/entry-components/alert/services/alert.service';
import { ModalService } from './../../../../widgets/entry-components/modal/services/modal.service';
import { OnInit, EventEmitter } from '@angular/core';
import { IPractitioner } from '@ahryman40k/ts-fhir-types/lib/R4';
import { AssociativeArray } from '../../../login/shared/ass-array.model';
export declare class PractitionerInfoComponent implements OnInit {
    private modalService;
    private alertService;
    modals: AssociativeArray;
    practitioner: IPractitioner;
    role: string;
    callUpdatePractitioner: EventEmitter<{
        practitioner: IPractitioner;
        componentName: string;
    }>;
    constructor(modalService: ModalService, alertService: AlertService);
    ngOnInit(): void;
    presentModal(componentName: string, param?: any): void;
    modalRespHandler(prac: IPractitioner, componentName: string, detail: any): IPractitioner;
    presentRemAler(text: string, subject: string, rank: number): void;
    removeTelecom(rank: number): void;
}
